PROTEUS 8.x

Introduction

Proteus 8 is a single application with many service modules offering different functionality (schematic capture, PCB layout, etc.). The wrapper that enables all of the various tools to communicate with each other consists of three main parts.

Application Framework

Proteus 8 consists of a single application (PDS.EXE). This is the framework or container which hosts all of the functionality of Proteus. ISIS, ARES, 3DV all open as tabbed windows within this framework and therefore all have access to the common database.

Common Database

The common database contains information about parts used in the project. A part can contain both a schematic component and a PCB footprint as well both user and system properties. Shared access to this database by all application modules makes possible a huge number of new features, many of which will evolve over the course of the Version 8 lifecycle.

Live Netlist

Together with the common database the maintenance of a live netlist allows all open modules to automatically reflect changes. The most obvious example of this is wiring in ISIS producing ratsnest connections in ARES but it goes much further than that. The new Bill of Materials module contains a live viewer and the 3D Viewer and Design Explorer are also linked into the live netlist.

This document covers the Proteus 8 application framework and other functionality related to the software suite as a whole. The various application modules (e.g. ISIS, ARES) each have their own reference manuals and tutorial documentation.

Using the Help System

Tutorials

You can find tutorial guides and an update guide from Proteus 7 near the top of the home page on the left hand side. Alternatively, the tutorial for a particular module of Proteus can be found on the Help Menu when that module is open.

Tutorial Documentation Links.

Reference Manuals

Similarly, you can open Reference Manuals either from the Proteus 8 home page or from the Help Menu on the application module itself.

Reference Manual Links

Hitting the F1 key will also launch the reference manual for the application module you are currently working in.

Videos

Several getting started videos can be watched directly from the home page in Proteus 8. These cover the basics of importing and creating new projects as well as some more detailed information on new features in the V8 release.

Click to View Getting Started Movies

In addition, you will find a library of video tutorials and feature demonstrations on our website or on our Youtube channel.

Context Sensitive Help

Dialogue level help is available within the software via the small question mark at the top right of the dialog form. Left click on the question mark and then click on the dialogue form to launch.

Context Sensitive Help.


Installation and Filing

Installation

As a result of changes in Windows policies and access rights, the installation of Proteus 8 differs significantly from previous versions. Both the file structure and the registry entries have changed as detailed below:

Installed Files

Much like previous versions of Proteus several folder groups are installed with the software, including:

  • BIN Directory (Read only)
  • Models Directory (Read only)
  • Library Directory (Read/Write)
  • Templates Directory (Read/Write)
  • Updates Directory (Read/Write)
  • Snippets Directory (Read/Write)
  • Help Directory (Read only)
  • Samples Directory (Read/Write)
  • VSM Studio Directory (Read only)
  • Datasheets Directory (Read/Write)

Directories to which a user may require read/write access are now installed in the ProgramData (Application Data in Windows XP) folder while those requiring read only access are installed in the Program Files directory. For example:

Read/Write Directories: C:\ProgramData\Labcenter Electronics\Proteus 8 Professional

Read Only Directories: C:\Program Files\Labcenter Electronics\Proteus 8 Professional

Network Installation

This topic provides suggestions for installing the Proteus software (and license key !) on multiple client machines. It does not cover network licensing.

Advanced users only. This topic is intended for System Administrators.

The Proteus 8 installer is an MSI installer and system administrators can make use of this to help with large deployments.

Command line silent installation involves two steps.

1) Extract the MSI on Server

From the command prompt you type something like :

setup_pro8.12.30540.0.exe /exenoui /a // /passive /qn TARGETDIR="\\NetworkShare\ProteusSetup\"

where setup_pro8.12.30540.0.exe is the Proteus installer and the TARGETDIR path is the path to extract the MSI to. Typically executed on the server.

2) Silent Install on the Client

From an administrative command prompt on the client you run something like :

msiexec /i "\\networkshare\setup_pro8.12.30540.0.msi" /qn DATA_DIR="C:\ProgramData\Labcenter Electronics\Proteus 8 Professional\" APPDIR="C:\Program files (x86)\Labcenter Electronics\Proteus 8 Professional\" LXK="\\networkshare\licenses\lic.LXK"

where we have path to msi that was extracted by step 1 (other files also extracted), the target program data directory and the target program directory. The order of command line arguments is important.

Licence keys can be installed by command line option to the installer by adding a parameter LXK="full\path\to\lic.LXK"

To install a language pack with the installation the LANG_PACK="full path to language pack" can be appended. To prevent the re-installation of a language pack the NO_LANG_PACK=1 option can be appended.

For Cloud or Local Server licences, 'KEY_SERVER=' property replaces 'LXK=' on the command line. If set, this will set the environment variable, if not set the variable will be cleared. More information on silent or batch installs for Cloud or Local server licences is available here.

Batch files on the client side can help with automation of this step.

Update Control

In large corporations or institutions you may want to control the deployment of updates on client machines. This can be done by setting registry keys on the clients as follows:

HKLM\SOFTWARE\[Wow6432Node\]Labcenter Electronics\Proteus 8 [Professional|Lite|Demo]\Update Manager

UpdateSchedule is a dword value in days between 2 and 30. This is the checking period for the client.

IgnoreBetas is an optional string which can be added and set to either "true" or "false"

disableUpdateInstallation is an optional string with change can be added and set to either "true" or "false"

The latter key will prevent any client machines from installing available updates independently.

Migrating Libraries and Files from Proteus V7.xx

Since Proteus 8 installs directories requiring write access in a different directory structure there may be some work required in moving existing libraries and data from your existing Proteus 7.xx installation. In general this can be fully automated but the process may vary depending on your Proteus 7 configuration.

Default V7.xx Installation

This is the normal situation in which your Proteus 7 was installed with a single library directory and you have not since changed, moved or added library paths.

After installation of Proteus 8 the Legacy Importer utility will launch and offer to copy your user libraries, styles and templates to the new Proteus 8 locations.

No user action is normally required for this type of installation.

If you did not make use of the Legacy Importer utility during installation you can launch it separately from the BIN directory of your Proteus 8 installation (LegacySettingsImporter.exe).

Custom V7.xx Installation

In this case you have more than one library directory specified for your Proteus 7.xx installation.

Since we don't know why libraries have been separated or moved you may need to work manually by copying files between your Proteus 7.xx directories and your Proteus 8.xx directories.

The legacy importer utility will launch after installation and point to a library path. Depending on how you have set up your system this may or may not be your primary Library path. If it is, then run the tool as normal - if it isn't then browse to your primary Library path and then run the tool.

Organising your secondary Library paths is up to you. Typically however the secondary library path from Proteus 7.xx can simply be added as a secondary path in Proteus 8 via the Set Paths command on the System Menu.

Do not change the primary Proteus 8 library path to the old Proteus 7 library path. This will cause problems throughout the software.

If all else fails, you may need to get a couple of copies of Windows explorer open and copy files manually between your Proteus 7 Library directory and your Proteus 8 Library directory.

Relevant Files

The following is a list of files that may be relevant for copying or moving between Proteus 7 and Proteus 8.

Library Directory

PROPDEFS.INI : This file must not be copied from Proteus 7 as it is completely different in Proteus 8.

SYSTEM.LIB : This file must not be copied from Proteus 7 as it is completely different in Proteus 8.

DEFAULT.STY : This file contains custom pad and trace styles and can be copied from Proteus 7 into Proteus 8. However, we recommend using the migration tool in the installer as this will merge rather than overwrite the V7 and V8 versions of the file.

Read Only Libraries: These will typically be libraries supplied by Labcenter. You should not copy these across to Proteus 8 as we may have added parts or corrected errors.

VML Files: These are combined 3D model files supplied by Labcenter. You should not copy these across to Proteus 8 as we may have added parts or corrected errors.

3DS Files: Typically these will be user generated 3D model files and should therefore be copied across to the Proteus 8 Library directory.

User Libraries: These will contain user generated library parts and should therefore be copied across to the Proteus 8 Library Directory. Three such libraries are supplied as standard (USERDVC.LIB, USERPKG.LIB & USERSYM.LIB) although users can create as many as they need.

IDX Files: These are temporary files generated when Proteus is launched and should not be copied between Proteus 7 and Proteus 8 directories.

Models Directory

Models that have been created or downloaded (e.g. SPICE models) by the user can be copied from the Proteus 7 models directory to the Proteus 8 Models directory. You should not copy any other files as these may have changed in Proteus 8.

Template Directory

Template Files in the Proteus 7 template directory can be copied into the Proteus 8 template directory.

Datasheets Directory

Datasheets from the Proteus 7 directory can be copied into the Proteus 8 datasheets directory.

Bill of Materials

Bill of Materials configurations can be migrated from within the software by opening the Bill of Materials application module. You can re-launch the tool at any time from the Import Templates command on the Template Menu inside the BOM Module.

Filing

Proteus 8 makes use of a single compound file with extension pdsprj. All application modules will store data inside the pdsprj file but in general you will be prompted to save data for external use elsewhere on disk.

Schematic and PCB

  • The schematic data is stored in the pdsprj file.
  • The PCB data is stored in the pdsprj file.
  • Bill of Materials generation will prompt you to save to disk.
  • Output for manufacture from the PCB module will prompt you to save to disk.
  • PDF and general graphics output from both schematic and PCB modules will prompt you to save to disk.
  • Project Notes documents will be stored inside the pdsprj file. Print and/or PDF options exist for each document.

Schematic and VSM

  • The schematic data is stored in the pdsprj file.
  • The source code files are (by default) stored in the pdsprj file.
  • In debug configuration the object files are stored in the pdsprj file for VSM Simulation.
  • In release configuration the hex file is copied outside of the pdsprj file for programming physical hardware.

You can choose to keep your source files outside of the pdsprj file by unchecking the 'attach files' checkbox in the VSM Studio project settings.

The main objective is to keep anything internal to Proteus development in a single compounds file while anything used by another application or device is saved externally.

In addition to the pdsprj file Proteus 8 also writes a per user workspace file for each project. This basically remembers the state of the project when closed including:

  • Number of open frames.
  • Number of open tabs and which tabs belong with which frame.
  • Size and position of frame(s) on the users monitor(s).

System Settings

This dialogue form contains options for configuring various system global settings. For most users the default settings will be sufficient and global changes should always be made with caution.

Initial Folder for Projects

This determines what folder the standard File-Open dialogue should default to. It is often frustrating when Windows decides that you want to open a file in the Documents directory when actually you want to re-open the file you last closed in a completely different place. You can make this change to override the default Windows behaviour and ensure that your Proteus open dialogues consistently start in a place of your choice.

Library Locale

Some schematic library parts have different symbols in different places; the most obvious being the resistor which looks like a box in Europe and a sawtooth symbol (IEEE) in America. This option allows you to specify which type of symbol you prefer.

You will need to restart Proteus after making a change here to reload the correct library set.

System Paths

For almost all users the standard paths will be sufficient. However, if you do wish to move folders post installation please refer to the linked topics below before making changes. In particular, note that incorrectly changing paths can stop the system loading correctly and cause other serious problems.

Be aware that moving a read/write directory to a location where it cannot be written by all users will cause serious problems. On a network drive, remember that group policies may be in place which will take precedence over local admin settings - you should not attempt this unless you are confident that you understand the implications.

See Also:

Library Facilities (Schematic Module Reference Manual)

Library Facilities (Layout Module Reference Manual)

Maximum Undo Levels

This is simply the number of undo levels saved and can range up to a maximum of 200. The higher the number of undo operations saved the bigger the memory footprint of the Proteus process and the default value should suit most users.

Auto-save Interval

This is a quick save which takes place in your Windows TEMP directory at a frequency determined by the setting on the System Settings dialogue. Proteus will attempt to recover from this file after an unexpected crash.

Note that this is an emergency recovery system and not a back-up file

See Also :

Backup and Recovery.

Crash Dumps

Proteus includes the ability to send crash dumps to our servers after a program crash. This can help both alert us to a problem and help us pinpoint where the problem lies. It is however entirely voluntary and you can control behaviour from the crash reporting tab of this dialogue.

A note on privacy. The crash dump format we use is the standard Microsoft memory dump and the data refers solely to the Proteus process. It is however possible that a folder name is included in the crash dump (folder where the Proteus project is located) and it is therefore possible that a users name is submitted. Labcenter treat crash dumps on an aggregate basis and any analysis of a dump takes place using Microsoft Visual Studio. As best we are aware therefore, there is no identifying information or privacy risk from submitting crash dumps to our servers.

See Also:

Crash Dumps

Log File Generation

If you would like to generate an installation Log file, you can do so by opening an Administrative Command Prompt and running the following command:

"Proteus_Setup_File_Name.exe" /L*V "example.log"

The Log file will be saved in the same directory as the installation file.


HOME PAGE

Introduction

The Home Page is a new application module in Proteus 8 which makes it easy to get started with a project and also performs some system tasks.

The Start Panel on the screen control project opening and creation while the News Panel includes general information, integrated update manager and crash dump reporting.

These are discussed in more detail below.

Opening, Creating & Importing Projects

In Proteus 8, the relationship between Schematic Design and PCB Layout involves a shared database and is far more integrated. We therefore have a single project file rather than separate design and layout files. You can create a new project or import a legacy schematic/layout via the options on the home page.

Opening Projects

Existing projects can be opened via the button on the home page or, in the case of recent projects, directly from the recent projects list.

Finally, you can browse and open our extensive sample design libraries via the Open Sample button at the right of the Start Panel.

Creating New Projects

This wizard guides you through the setup of your next Proteus 8 project. There is a start page in which you specify the project name and destination directory and then potentially three main screens for schematic, PCB and firmware.

Schematic

If you are creating a schematic check the box at the top of the screen and then select the template on which you want to base the schematic. Those provided by Labcenter basically contain different sizes of work area, although you can customize and save your own templates from within the schematic capture module.

PCB Layout

If you are creating a PCB check the box at the top of the screen and select from the available templates. PCB templates contain pre-defined board edges, mounting holes and a full set of technology data (design rules, layers in use, default units, etc.) As with schematic, you can customize and save your own templates from within the PCB layout module.

This screen will only be presented to you if you have a license for one of the Proteus PCB design products.

Firmware

If you are creating an embedded design and want to simulate your firmware, check the create firmware box at the top of the screen and then select your controller and compiler using the combo boxes. If selected, the quick start files checkbox will generate a skeleton firmware project for you and configure project settings for compilation.

Creating a firmware project requires a schematic in order to simulate so you cannot proceed from this screen if you opted not to create a schematic earlier in the wizard.

The combo boxes on this screen are license aware so you cannot create a firmware project for a controller than you cannot simulate in Proteus.

There is also a summary page at the end allowing you to review your setup before the wizard exits and generates the project files.

See Also:

Creating a New Schematic/Project (Tutorial Example)

Creating a New Microprocessor Simulation Project (Tutorial Example)

Getting Started Movie links on the Home Page.

Movie Library on the website

Importing Existing Projects

The legacy import wizard is a single screen wizard that lets you quickly port designs and layouts from earlier versions through to Proteus 8.

First, browse for the old schematic (.dsn file)

If a PCB file (.lyt file) is associated with the schematic it will automatically appear in the Layout field. If there is no layout file associated with the schematic then leave this field blank.

If an old VSMStudio file (.vsmp) with the same name as the schematic exists in the same directory it will automatically appear in the VSM Studio edit box. If the wrong VSMP file appears or there is no corresponding VSMP file then either browse for the file or leave blank.

The project name and path are taken from the filestem and location of the schematic being imported. You can change this if required from the fields at the bottom of the dialogue box.

When you are finished use the import button to create an import a Proteus 8 project.

If you change the path for a VSM project then you will need to manually change the PROGRAM property of the microcontroller, otherwise your simulation will fail.

For PCB Design projects at this stage the schematic and layout have been brought into Proteus 8 exactly as they were in Proteus 7. However, there is no binding between the two, nor has any netlist information been passed from the schematic to the layout (Live netlisting is switched off). This is because the relationship between the schematic connectivity and the layout connectivity is unknown and we do not want to automatically make changes to a layout that may not be intended by the designer.

After checking that import is successful you must therefore turn live netlisting back on from the toggle on the Tools menu in ARES before doing any work on the project.

We would advise that during development users should work with live netlisting switched on.

The only time where live netlisting switched off may be of use is on larger layouts with multiple zones where there may be a performance penalty because all of the zone connectivity will be re-calculated on each schematic change. Note however that leaving Live Netlisting On and simply closing the ARES tab or frame is just as optimal - netlist updates do not occur in the background.

We do not imagine that anyone would import a semi-complete project but if this does happen note that no components will be available for placement on the layout until you sync (turn live netlisting on from the ARES tools menu).

If you import a project but do not turn live netlisting on before working you will be working entirely without a netlist in ARES. This is not recommended.

See Also:

Importing an existing Microprocessor Simulation Project (Tutorial)

Getting Started Movie links on the Home Page.

Movie Library on the website

Update Manager

Software updates are integrated into the News Panel of the Proteus 8 Home Page. Notification of updates will appear in the news and information of the home page and you can activate the download and installation of the new software release directly.

You can perform a manual update check at any time by clicking on the link - status will be reported at the bottom of the News Panel.

You can also check for Updates from the System Menu command on the home page. Only one check is performed per Proteus session.

Crash Dumps

We have introduced a new error reporting system in Proteus 8. If the software crashes unexpectedly you will normally be prompted on restart to send a crash dump to Labcenter. The information in the dump allows us to see where in the software the problem occurred and helps us to fix issues more quickly.

The successful submission of a crash dump will be reported in the news and information section of the homepage and you will also receive notification of a successful fix to a reported issue.

We would ask all users to help us improve software quality by submitting these reports if you experience a software crash and are prompted to do so.

It is important to understand that dump files are not always helpful. The source of a problem may not lie at the point the software crashed and - in the case of memory or heap problems - the dump file may be of little use. However, they do let us know that a problem exists and give us a solid starting point for investigating and fixing the issue.

Transmission of dump files is enabled by default but, if need be, can be disabled via the System Settings command on the System Menu.

See Also:

Backup and Recovery

Language Packs

Local language versions of the Proteus software may be available - contact your distributor for more information. These will be provided via Update Manager in the form of Language Packs and on installation apply a fileset to the current Proteus install.

If you need to update or repair your language pack installation (for example because you have installed a newer English Language version) you can do so via the 'Repair Language Pack' command on the System menu from the Home Page. This will remove the existing language pack and then prompt either for a file location or to check the update server for an updated language pack.


Application Framework

Terminology

(Application) Module

In Proteus 8 an application module encompasses functionality that opens as a top level tab inside the Proteus application. These include :

  • Proteus Home Page
  • ISIS Schematic Capture.
  • ARES PCB Layout.
  • 3D PCB Viewer.
  • Bill of Materials.
  • Project Notes.
  • Design Explorer
  • Gerber Viewer.
  • VSM Studio IDE

Frame

A frame is essentially a window in Proteus 8 and can contain several tabs. By default you have one frame, although you can drag tabs to create new frames or to close frames.

Tab

A tab is a small placeholder at the top of a frame that - when clicked - will bring an application module to the foreground. You can also drag and drop tabs onto other monitors (or an area of free space) to open them in a separate frame.

Menus and Icons

The Proteus application framework contains a small set of menu's and icons which are present regardless of which module or modules you are working on. Typically, these are used to open other application modules and to handle filing and configuration options.

File I/O Toolbar

This is a standard toolbar for creating new projects, opening and saving projects and closing the current project.

Application Module Toolbar

Each icon on this toolbar represents an application module. Clicking on an icon will open the application module in the current frame.

Application Toolbars and Menus

When you open an application module (e.g. ISIS) both the menus and the toolbars will change to include the various options available. Similarly, if you have two modules open (e.g. ISIS and ARES) in different tabs then the menus and icons will switch as you switch tabs.

The system commands and the application module toolbar are available regardless of which application module you are working in.

Global Settings

The System Settings dialogue on the System Menu allows you to configure paths for writeable directories used in Proteus. It also enables configuration of crash dump reporting, the number of undo levels in the software and also the locale used for library parts.

The locale setting basically determines what your resistor and capacitor symbols look like on the schematic as there are different conventions in Europe and the USA.

Tabs and Frames

Each top level application module will open in a new tab inside the current frame.

If you prefer (and particularly if you work with two monitors) you can drag and drop a tab into free space to create a new frame. This allows you to see both modules simultaneously which, together with the common database and live netlisting, is a common method of working.

To open a new tab

Normally, you would do this simply by clicking on the icon on the application module toolbar.

The exception to this paradigm is graphs which will open in a new tab when maximised. Graphs are not represented in the application module toolbar as they are entirely dependant on being placed in the schematic capture module.

Design explorer can also be opened from the context menu of components in ISIS or footprints in ARES.

To close a tab

Close a tab by clicking on the cross at the right hand side of the tab.

Alternatively, closing a frame will close all tabs inside the frame.

To open an additional frame

Assuming you have both the ISIS and the ARES tabs open and you want to view them at the same time:

Drag the ARES tab either onto a separate monitor on into free space.

OR

Double click on the ARES tab to automatically separate into two frames on the same monitor

To re-join two frames

To re-join one frame to another simply drag either the tab or the window from the second frame over the first. There is a subtle difference where the second frame has more than one tab open in that dragging the window will re-join all of the tabs in the window whereas dragging a tab will re-join only that tab

To close a frame

Use the cross at the top of the window to close it. If you have more than one frame open you will be prompted to close either the current frame or the complete application.


BACKUP AND RECOVERY

Proteus includes a comprehensive backup and recovery system to help protect your work in the event of a crash or application hang.

Backup

You can set the destination of the backup files under the System Menu > System Settings:

This can be either a folder destination, a directory path to a One Drive / Google Drive / DropBox etc... folder, an external Hard drive or a network drive. By default this is set to a folder called 'Project Backups' and this folder will be put in the same directory as the project file. This folder will contain all the saved backup projects.

Maximum Backups

This is the number set where the project file will be saved x number of times before the first backup file is overwritten. By default this is set to 10.

Backup Example:

A project named fred.pdsprj is opened. Some work is done and then the project is saved. The first save creates a backup version of the project that is the same as the one that is saved. Some more work is done and then the project is saved again. Another copy of the project is saved as it was, when it was at the last saved point before the save that has just taken place. To put this in simple terms, the latest backup will always be one save behind the saved project. So if the saved project is corrupted, you will be able to go through the last 10 project saves.

We would expect and encourage users to employ their own backup procedures on top of those provided as standard by the software. This could be as simple as baselining a copy at various project milestones.

Recovery

Quite separately from the traditional backup system, Proteus includes a sophisticated auto-save and recovery mechanism. This is driven by a quick save which takes place in your Windows TEMP directory at a frequency determined by the setting on the System Settings dialogue.

Do not set the auto-save time to less that 5 minutes if you are working on large projects or have a slow computer. It is vital that the verification process described below completes before the next auto-save begins. False positives can occur if the verification process fails because the auto-save interval time is too small.

How does it work ?

Let's assume we are working on myproj.pdsprj and the autosave is set to be 5 mins.

1) The software triggers an auto-save and places PDS00000.asv (asv=autosave) into the Windows TEMP directory.

2) A second, invisible copy of Proteus is silently launched in the background and attempts to load the newly created autosave file.

3) If it is successful, the autosave file is renamed to PDS00000.vasv (vasv = verified auto-save). The existing myproj.vasv is copied into the project backup directory and renamed to myproj[Autosave].pdsprj.

4) The process repeats on the next scheduled auto-save time interval and overwrites the autosave file with the new one.

Autosave will only occur if there is no actions currently in use i.e. in the middle of wireing or routing a board. If the autosave time limit is reached and you are in the middle of routing a track, or drawing a zone, the autosave will occur once the task is completed.

What happens if Proteus crashes/hangs ?

If there is a crash or hang in Proteus you should

1) Make sure Proteus is completely closed down. Check with task manager that there isn't a pds.exe process left behind.

2) Restart Proteus. You will almost certainly be prompted to recover the file and you should accept this prompt. This will recover your work from the myproj[autosave].pdsprj file resulting in a loss of no more than one auto-save interval (5-10 mins).

Automatic recovery.

3) If you are not prompted to recover when you start Proteus you should manually open the last backed up copy from your backup directory. This will recover your work based on last saved file. Alternatively you can see if the Autosave file was saved after your last manual save, If that is the case, the autosave file will be the latest copy of your project.

Manually load backup from the Project directory.

What happens if there is memory/heap/data corruption ?

Corruption of data is undoubtedly the worst case situation. It can happen due to software bug (e.g. wild pointer, double delete) and it can happen due to unexpected activity on the computer (e.g. aggressive anti-virus, overclocking). The inevitable result is that the file becomes corrupt and cannot be loaded. With the Proteus recovery system however we know that both the verified auto-save and the last manually saved file have been successfully loaded into Proteus and so it should be impossible for you to have multiple corrupted backups. This is a significant improvement over traditional multiple/cyclic backup schemes because there is no guarantee in such cases that the backups are not corrupted.

In our scenario with myproj.pdsprj this would be detected immediately after auto-save because the silent copy of Proteus would fail to load 'myproj.asv'. The real copy of Proteus will then present an unstable message because the integrity of the current project cannot be guaranteed.

At this stage, Proteus will close and the restart procedure should be identical to the case where there has been a crash, resulting in a loss of no more than two auto-save intervals.

See Also:

Crash Dump Reporting


Edit Project Description

The project description editor allows you to specify a title, short description and set of keywords for the project. If the project is subsequently placed in the Samples directory the project can be searched for by the keywords and the description information will be available when the project is selected.

Using Project Description information in the Samples Browser.


Import Legacy Project

IMPORT LEGACY

The legacy import wizard is a single screen wizard that lets you quickly port designs and layouts from earlier versions through to Proteus 8.

First, browse for the old schematic (.dsn file)

If a PCB file (.lyt file) is associated with the schematic it will automatically appear in the Layout field. If there is no layout file associated with the schematic then leave this field blank.

If an old VSMStudio file (.vsmp) with the same name as the schematic exists in the same directory it will automatically appear in the VSM Studio edit box. If the wrong VSMP file appears or there is no corresponding VSMP file then either browse for the file or leave blank.

The project name and path are taken from the filestem and location of the schematic being imported. You can change this if required from the fields at the bottom of the dialogue box.

When you are finished use the import button to create an import a Proteus 8 project.

If you change the path for a VSM project then you will need to manually change the PROGRAM property of the microcontroller, otherwise your simulation will fail.

For PCB Design projects at this stage the schematic and layout have been brought into Proteus 8 exactly as they were in Proteus 7. However, there is no binding between the two, nor has any netlist information been passed from the schematic to the layout (Live netlisting is switched off). This is because the relationship between the schematic connectivity and the layout connectivity is unknown and we do not want to automatically make changes to a layout that may not be intended by the designer. After checking that import is successful you must therefore turn live netlisting back on from the toggle on the Tools menu in ARES before doing any work on the project.

We would advise that during development users should work with live netlisting switched on.

The only time where live netlisting switched off may be of use is on larger layouts with multiple zones where there may be a performance penalty because all of the zone connectivity will be re-calculated on each schematic change. Note however that leaving Live Netlisting On and simply closing the ARES tab or frame is just as optimal - netlist updates do not occur in the background.

We do not imagine that anyone would import a semi-complete project but if this does happen note that no components will be available for placement on the layout until you sync (turn live netlisting on from the ARES tools menu).

If you import a project but do not turn live netlisting on before working you will be working entirely without a netlist in ARES. This is not recommended.

See Also:

Importing an existing Microprocessor Simulation Project (Tutorial)

Getting Started Movie links on the Home Page.


New Project Wizard

In Proteus 8, the relationship between Schematic Design and PCB Layout involves a shared database and is far more integrated. We therefore have a single project file rather than separate design and layout files. You can create a new project or import a legacy schematic/layout via the options on the home page.

This wizard guides you through the setup of your next Proteus 8 project. There is a start page in which you specify the project name and destination directory and then potentially three main screens for schematic, PCB and firmware.

Schematic

If you are creating a schematic check the box at the top of the screen and then select the template on which you want to base the schematic. Those provided by Labcenter basically contain different sizes of work area, although you can customize and save your own templates from within the schematic capture module.

PCB Layout

If you are creating a PCB check the box at the top of the screen and select from the available templates. PCB templates contain pre-defined board edges, mounting holes and a full set of technology data (design rules, layers in use, default units, etc.) As with schematic, you can customize and save your own templates from within the PCB layout module.

Set your board properties with the Layer Stackup Wizard:

This screen will only be presented to you if you have a license for one of the Proteus PCB design products.

Firmware

If you are creating an embedded design and want to simulate your firmware, check the create firmware box at the top of the screen and then select your controller and compiler using the combo boxes. If selected, the quick start files checkbox will generate a skeleton firmware project for you and configure project settings for compilation.

You can only select the Create Peripherals checkbox if you have target family as Arduino. This will bring in the Labcenter peripheral drivers for shields and breakout boards directly supported in Proteus.

See Also:

Working with Arduino (VSM Studio Help)

Creating a firmware project requires a schematic in order to simulate so you cannot proceed from this screen if you opted not to create a schematic earlier in the wizard.

The combo boxes on this screen are license aware so you cannot create a firmware project for a controller than you cannot simulate in Proteus.

There is also a summary page at the end allowing you to review your setup before the wizard exits and generates the project files.

See Also:

Creating a New Schematic/Project (Tutorial Example)

Creating a New Microprocessor Simulation Project (Tutorial Example)

Getting Started Movie links on the Home Page.


OPEN SAMPLE

Overview

This dialogue allows you to navigate our library of sample designs and open for viewing/simulation.

Options

Keywords

Enter a search term (e.g. motor). The results list will update to show matching sample designs.

Category

Filter the search results by category. For example, the Schematic & PCB Layout will restrict the results to those samples designed for manufacture.

Sub-Category

For the simulation samples in particular, you can use this filter to restrict the results to application areas of interest (e.g. circuits illustrating filter design or using I2C comms).

Results

The listed results are dependant on the search criteria on the left hand side of the dialogue form. Double clicking on a result will load the sample project.

Description

Some sample designs will contain additional information such as toolchain used to compile the firmware or some detail on the content of the project.


System Settings

This dialogue form contains options for configuring various system global settings. For most users the default settings will be sufficient and global changes should always be made with caution.

Initial Folder for Projects

This determines what folder the standard File-Open dialogue should default to. It is often frustrating when Windows decides that you want to open a file in the Documents directory when actually you want to re-open the file you last closed in a completely different place. You can make this change to override the default Windows behaviour and ensure that your Proteus open dialogues consistently start in a place of your choice.

Library Locale

Some schematic library parts have different symbols in different places; the most obvious being the resistor which looks like a box in Europe and a sawtooth symbol (IEEE) in America. This option allows you to specify which type of symbol you prefer.

You will need to restart Proteus after making a change here to reload the correct library set.

System Paths

For almost all users the standard paths will be sufficient. However, if you do wish to move folders post installation please refer to the linked topics below before making changes. In particular, note that incorrectly changing paths can stop the system loading correctly and cause other serious problems.

Be aware that moving a read/write directory to a location where it cannot be written by all users will cause serious problems. On a network drive, remember that group policies may be in place which will take precedence over local admin settings - you should not attempt this unless you are confident that you understand the implications.

See Also:

Library Facilities (Schematic Module Reference Manual)

Library Facilities (Layout Module Reference Manual)

Maximum Undo Levels

This is simply the number of undo levels saved and can range up to a maximum of 200. The higher the number of undo operations saved the bigger the memory footprint of the Proteus process and the default value should suit most users.

Maximum Backups

Proteus operates a system of incremental backups on save. These are saved into the specified backups folder and work in a cyclical fashion. For example, when set to 10 the 11th save would overwrite the 1st backup so that the last 10 save operations were preserved in the Backups folder.

This can be any number between 1 and 100.

Auto-save Interval

An autosave is not the same as a backup (which happens on a manual save). Autosave takes place while you are working and produces a temporary snapshot at regular intervals specified by this field.

This snapshot is then verified in the background by a second, silent copy of Proteus to ensure that it is not corrupted and that it can be loaded. After that it is placed into the Backups directory as an autosaved file.

Since autosaved files are verified they protect against a creeping error such as data corruption which could result in a normal backup being unloadable. You can set the autosave interval from every 3 mins to every 60 mins. Bear in mind with large boards that it may take a second or so to save.

Autosave cannot take place while a modal dialogue is open but will be scheduled and will then complete as soon as the dialogue form is closed.

Note that this is intended as an emergency recovery system and not a back-up file

Backup Folder

This is the location into which the file backups and autosave file will be processed. By default it is in the Project directory of your current project, although you can move it to another directory (e.g. a synched dropbox folder) by entering a suitable path and folder name.

Toolbar Icon Size

In this drop down list, you can select the size of the icons that you wish to be displayed. If set to 'Auto', it will detect which DPI setting your monitor is displaying, and use the according size of icons. The higher the Windows DPI setting, the larger the icons will be.

Proteus will need to be closed and reopened for the changes to appear.

See Also :

Backup and Recovery.

Crash Dumps

Proteus includes the ability to send crash dumps to our servers after a program crash. This can help both alert us to a problem and help us pinpoint where the problem lies. It is however entirely voluntary and you can control behaviour from the crash reporting tab of this dialogue.

A note on privacy. The crash dump format we use is the standard Microsoft memory dump and the data refers solely to the Proteus process. It is however possible that a folder name is included in the crash dump (folder where the Proteus project is located) and it is therefore possible that a users name is submitted. Labcenter treat crash dumps on an aggregate basis and any analysis of a dump takes place using Microsoft Visual Studio. As best we are aware therefore, there is no identifying information or privacy risk from submitting crash dumps to our servers.

See Also:

Crash Dumps